
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.io.*;

// Beispiel mit GridLayout
// Beispiel, bei dem die Anzahl nicht aufgeht
public class GridLayout2 extends JFrame {


  //Frame konstruieren
  public GridLayout2() {
    setDefaultCloseOperation( JFrame.EXIT_ON_CLOSE );
    setSize(500, 300);
    setTitle("GridLayout2");
    setGUI();
  }

  private void setGUI() {
    JPanel panel;
    JButton bn;

    panel = new JPanel();
    panel.setLayout ( new GridLayout(5,3) );
    this.getContentPane().add(panel, BorderLayout.CENTER);
    for (int i=0; i<17; i++) {
      bn = new JButton( Integer.toString(i+1)  );
      bn.setFont( new Font("Arial", Font.BOLD,18)  );
      panel.add(bn);
    }

  } // create



  public static void main(String[] args) {
    GridLayout2 frame = new GridLayout2();
    frame.setVisible(true);
  }


}
